ru.bitel.oss.systems.inventory.resource.common.bean

## Class PhoneResource

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.oss.systems.inventory.resource.common.bean.PhoneResource

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class PhoneResource
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCategoryId()`
    `java.lang.String` | `getComment()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `long` | `getPhoneFrom()`
    `long` | `getPhoneTo()`
    `void` | `setCategoryId(int categoryId)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setPhoneFrom(long phoneFrom)`
    `void` | `setPhoneTo(long phoneTo)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneResource

          public PhoneResource()

  - ### Method Detail

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getPhoneTo

          public long getPhoneTo()

    - #### setPhoneTo

          public void setPhoneTo(long phoneTo)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getCategoryId

          public int getCategoryId()

    - #### setCategoryId

          public void setCategoryId(int categoryId)

    - #### getPhoneFrom

          public long getPhoneFrom()

    - #### setPhoneFrom

          public void setPhoneFrom(long phoneFrom)